.modal {
    position: absolute;
    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    background-color: rgba(0, 0, 0, .5);

    justify-content: center;
    align-items: center;
}


.modal-content {
    transform-origin: center;

    transform: translate(50%,50%);

    width: 50%;

    display: flex;
    flex-direction: column;

    background-color: aquamarine;

    border-radius: 5px;
}

.modal-body {
    padding: 5% 2%;
    flex: 2;
    order: 2;
}

.modal-title {
    flex: 1;
    padding: 2%;
    font-size: 2em;
    color: gray;

    font-weight: bold;

    border-bottom: .5px solid black;
    order: 1;
}

.modal-footer {
    flex: 1;
    padding: 2%;
    border-top: .5px solid black;
    order: 3;
}